it.reply.healty.innovapuglia.mstaccuino.soap.service.common

## Class ServerFaultRectifierInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.binding.soap.SoapMessage>
  - - org.apache.cxf.binding.soap.interceptor.AbstractSoapInterceptor
    - - it.reply.healty.innovapuglia.mstaccuino.soap.service.common.ServerFaultRectifierInterceptor

- All Implemented Interfaces:
    org.apache.cxf.binding.soap.interceptor.SoapInterceptor, org.apache.cxf.interceptor.Interceptor<org.apache.cxf.binding.soap.SoapMessage>, org.apache.cxf.phase.PhaseInterceptor<org.apache.cxf.binding.soap.SoapMessage>

      public class ServerFaultRectifierInterceptor
      extends org.apache.cxf.binding.soap.interceptor.AbstractSoapInterceptor

  Interceptor che normalizza tutti i fault non gestiti applicativamente impostando il formato corretto nella risposta
  Author:
    Fabio Frijo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerFaultRectifierInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleMessage(org.apache.cxf.binding.soap.SoapMessage message)`

    - ### Methods inherited from class org.apache.cxf.binding.soap.interceptor.AbstractSoapInterceptor

      `getFaultCodePrefix, getRoles, getUnderstoodHeaders, prepareStackTrace`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.interceptor.Interceptor

      `handleFault`

- - ### Constructor Detail

    - #### ServerFaultRectifierInterceptor

          public ServerFaultRectifierInterceptor()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(org.apache.cxf.binding.soap.SoapMessage message)
                             throws org.apache.cxf.interceptor.Fault

      Throws:
        `org.apache.cxf.interceptor.Fault`

Copyright © 2024. All rights reserved.